#################################################################################
# LTSP 5.4.5-23 Klient epel-6-i386 (konfiguracja na CentOS 7 x86_64             #
# Autor konfiguracji: Radek Bursztynowski                                       #
# Data konfiguracji: 19 lipca 2013 r.                                           #
# Data ostatniej modyfikacji: 22 grudnia 2018 r.                               #
# Autor ostatniej modyfikacji: Radek Bursztynowski                              #
#################################################################################

[default]
  # Lokalizacja polska i LDM
    LC_ALL			= pl_PL.UTF-8
    LANG			= pl_PL.UTF-8
    XKBLAYOUT			= pl
    KEYTABLE			= pl
    LDM_LANGUAGE		= pl_PL.UTF-8
    LDM_GLOBAL_DMRC		= /etc/ltsp/ldm-global-dmrc
    LDM_DIRECTX			= True
    LDM_THEME 			= k12linux
    # LDM_THEME			= /usr/share/ldm/themes/bursztyn1
    # LDM_XSESSION		= "XFCE4 --session=startxfce4"
    LDM_SESSION			= xfce # "startxfce4"
    RDP_OPTIONS			= "-f -k pl -a 16 -r sound:local -r disk:usb=/media"

  # Ustawienia domyślnego środowiska
    X_COLOR_DEPTH 		= 24
    LOCALDEV 			= True
    SOUND			= True
    HOTPLUG 			= True
    LOCAL_STORAGE 		= True
    XINITRC_DAEMON		= True
    # Use any local swap partitions on the clients.
    # USE_LOCAL_SWAP		= True
    # LDM_SERVER		= 192.168.0.1 192.168.0.1252
    LDM_SERVER			= alpaga k12linux # coolos wyborowa windows10 # belt dell mamrot windows7 whisky centos6-2-alpaga
    XDM_SERVER			= k12linux alpaga # coolos
    SERVER			= k12linux
    SERVER_NFS			= k12linux		# Dodatkowa zmienna proponowana przez Radka. Jest wykorzystywana
							# w obrazie cienkiegoklienta w chroot/etc/sysconfig/mkinitrd
							# w linii rootdev="$SERVER_NFS:/opt/ltsp/scl-6-i386_fat2.1"

    PRINTER_0_DEVICE 		= /dev/usb/lp0
    PRINTER_0_PORT 		= 9100
    PRINTER_TYPE 		= S
    
    NBD_SWAP 			= True
    SYSLOG_HOST 		= 192.168.0.1
    TIMESERVER 			= 0.pl.pool.ntp.org	# 85.128.212.132
    TIMEZONE			= CEST

  # Magazyn ustawień
    # If the default 16bit color mode is giving you problems on thin clients:
    # X_SMART_COLOR_DEPTH	= False

  # Konsole cienkiego klienta
    SCREEN_01     		= ldm
    SCREEN_07                   = menu
    SCREEN_09			= xdmcp
    SCREEN_10     		= ldm
    SCREEN_11     		= xterm
    SCREEN_12     		= shell
    LIKE			= scl-6-i686
    MENU_COMMAND_01		= ldm
    MENU_COMMAND_02		= "rdesktop -f -k pl -a 16 -r sound:local -r disk:usb=/media 192.168.0.4"
    MENU_ITEM_01		= "whisky"
    MENU_ITEM_02		= "windows10"
    MENU_TITLE			= "Menu Radka"

############### Definicje LIKE ###############

[SAMSUNG_2443]
    X_HORZSYNC			= 30-81
    X_VERTREFRESH		= 50-63

[OLD_MONITOR]
    X_HORZSYNC			= 30.0-88.0
    X_VERTREFRESH		= 50.0-88.0

[LCD_ASUS]			# Monitor ASUS 4:3
    X_MODE_0			= 1280x1024		
    X_HORZSYNC    		= 31.50-75	
    X_VERTREFRESH  		= 56-75

[LCD_BENQ_1]			# BENQ GL94 1440x900# 
    # X_MODE_0			= 1440x900@60 106.47 1440 1520 1672 1924 900 901 904 932 -HSync +Vsync
    X_MODE_0			= 1440x900
    X_HORZSYNC			= "55.92"
    X_VERTREFRESH  		= "60"

[NEC]				# NEC MultiSync EA243WM
    # X_MODE_0			= "1920x1200_60.00" 193.16 1920 2048 2256 2592 1200 1201 1204 1242 -HSync +Vsync
    X_MODE_0			= 1920x1200
    X_HORZSYNC			= "74.52"
    X_VERTREFRESH  		= "60"

[fedora-11-i586]
    SCREEN_01     		= ldm
    SCREEN_02     		= "rdesktop -f -k pl -a 16 -r sound:local -r disk:usb=/media 192.168.0.4"	# Windows 7 w KVM na Alpaga
    SCREEN_03     		= xterm
    SCREEN_04			= shell

[scl-6-i686]
    # LDM_THEME			= /usr/share/ldm/themes/bursztyn1	# Jak nie jest podany, to LDM bierze ustawienia nie z obrazu cienkiego klienta
									# chroot//usr/share/ldm/themes/, tylko z serwera: /usr/share/ldm/themes
    SCREEN_02     		= "rdesktop -f -k pl -a 16 -r sound:local -r disk:usb=/media 192.168.0.3"							 
    SCREEN_03     		= "xfreerdp -f --ignore-certificate --no-nla -k 0x00000415 -a 16 --plugin rdpsnd --data alsa -- --plugin rdpdr --data disk:usb:/media -- 192.168.0.3"	# Windows 10 w KVM na Alpaga
    SCREEN_04     		= "rdesktop -f -k pl -a 16 -r sound:local -r disk:usb=/media 192.168.0.3"							 
    SCREEN_05     		= "xfreerdp -f --ignore-certificate --no-nla -k 0x00000415 -a 16 --plugin rdpsnd --data alsa -- --plugin rdpdr --data disk:usb:/media -- 192.168.0.4"	# Windows 7 w KVM na Alpaga
				  # "xfreerdp -f --ignore-certificate --no-nla -k 0x00000415 -a 16 --plugin rdpsnd --data alsa -- --plugin rdpdr --data disk:usb:/media -- 192.168.0.4"
    # SCREEN_01     		= "xfreerdp -f --no-nla -k 0x00000415 -a 16 --plugin rdpsnd --plugin rdpdr --data disk:usb:/media 	-- 192.168.1.9"		  		# Windows 7, notebook Radka

[fedora-14-i686]
    SCREEN_02     		= "rdesktop -f -k pl -a 16 -r sound:local -r disk:usb=/media 192.168.0.4"								  	# Windows 7 w KVM na ALpaga
    SCREEN_03     		= "xfreerdp -f -k 0x00000415 -a 16 --plugin rdpsnd --data alsa --plugin drdynvc --data tsmf:decoder:gstreamer --plugin rdpdr --data disk:usb:/media -- 192.168.0.3"  		# Windopws 7 w KVM na Alpaga

[epel-6-i686]
    LDM_THEME 			= ltsp
    SCREEN_02     		= "xfreerdp -f --ignore-certificate --no-nla -k 0x00000415 -a 16 --plugin rdpsnd --plugin rdpdr --data disk:usb:/media 	-- 192.168.0.3"	# Windows 10 w KVM na Alpaga
    SCREEN_01     		= ldm

[drukarka-lokalna]
    PRINTER_0_DEVICE 		= /dev/usb/lp0
    PRINTER_0_PORT 		= 9100
    PRINTER_TYPE 		= S
    # PRINTER_0_DEVICE_ONLY	= Y
    
############ Koniec definicji LIKE ############

[38:60:77:07:63:BC]		# Nettop D510
    LDM_THEME			= /usr/share/ldm/themes/bursztyn1
    # LDM_THEME			= /usr/share/ldm/themes/ltsp-c7-2
    XDM_SERVER			= coolos
    LIKE 			= scl-6-i686
    # LIKE			= SAMSUNG_2443
    LIKE			= NEC
    LIKE			= drukarka-lokalna

[E0:69:95:65:A1:A9]		# Nettop 510-2
    LDM_THEME			= /usr/share/ldm/themes/bursztyn1
    XDM_SERVER			= whisky
    LIKE 			= scl-6-i686
    # LIKE			= SAMSUNG_2443
    # LIKE			= NEC
    LIKE			= drukarka-lokalna

[00:22:68:4D:F8:A0]		# Acer
    LDM_THEME			= /usr/share/ldm/themes/bursztyn1
    XDM_SERVER			= ltspc6
    LIKE 			= scl-6-i686
    # LIKE			= SAMSUNG_2443
    # LIKE			= NEC
    LIKE			= drukarka-lokalna

[00:50:8D:94:2F:B7]		# amd (AMD dwurdzeniowy)
    LDM_THEME			= /usr/share/ldm/themes/bursztyn1
    LIKE 			= scl-6-i686
    XDM_SERVER			= whisky
    LIKE			= drukarka-lokalna
    USE_LOCAL_SWAP		= True

[f0:76:1c:a7:b5:04]		# Notebook Lenovo Radka (DUPSKO)
    LDM_THEME			= ltsp-6.7
    XDM_SERVER			= whisky
    MODE_0			= 1920x1080_60.00  173.00  1920 2048 2248 2576  1080 1083 1088 1120 -hsync +vsync
    # MODE_0			= 1920x1080_60.00  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -HSync +Vsync
    LIKE 			= scl-6-i686
    LIKE			= drukarka-lokalna
    USE_LOCAL_SWAP		= True
    # X_CONF			= /etc/X11/xorg-dupsko.conf

[52:54:00:13:31:3f]		# ck001 w KVM na ALPAGA
    LDM_THEME			= bursztyn1 # /usr/share/ldm/themes/bursztyn1
    # LDM_THEME			= /usr/share/ldm/themes/ltsp-c7-2
    XDM_SERVER			= coolos
    LIKE 			= scl-6-i686
    X_MODE_0			= "1600x900_60"
    # LIKE			= SAMSUNG_2443
    # LIKE			= NEC
    LIKE			= drukarka-lokalna

[52:54:00:ff:9a:71]		# ck001dupa w KVM na DUPA
    X_MODE_0			= 1440x900
    LIKE			= scl-6-i686
    XDM_SERVER			= whisky
    # LIKE			= fedora-14-i686
    # LIKE			= fedora-11-i686
    SCREEN_09			= ldm
    SCREEN_11			= xterm
    SCREEN_12			= shell

[52:54:00:a1:42:ac]		# ck051dupsko w KVM na DUPSKO
    LDM_THEME 			= bursztyn1
    SERVER_NFS			= whisky
    XDM_SERVER			= whisky
    # X_MODE_0			= "1440x900_60.00"
    LIKE			= scl-6-i686
    # X_CONF			= /etc/X11/kvm-xorg.conf
    X_MODE_0			= 1920x1080_60.00  # 173.00  1920 2048 2248 2576  1080 1083 1088 1120 -hsync +vsync

